# %{ver}, %{rel}, %{name} provided by Makefile
%define ver 4.0.1
%define rel 11
%define name moblin-libchk

Summary: Moblin Library checker
Name: %{name}
Version: %{ver}
Release: %{rel}
License: LF
Vendor: Linux Foundation
Packager: Moblin Project <moblin-compliance-tools@moblin.org>
Group: Development/Tools
Source: %{name}-%{ver}.tgz
BuildRoot: /var/tmp/moblin-libchk
AutoReqProv: no

%description

moblin-libchk is a program which looks for Moblin libraries and checks that
those libraries contain the symbols required by the specification.  If
it is required that the symbol be versioned it checks that the symbol
with the correct version exists in the library.

%prep
%setup -q

%build
#unset CFLAGS
unset LD_AS_NEEDED
cd tetj && make
cd ../elfchk && make
cd ../libchk && make

%install
rm -rf $RPM_BUILD_ROOT
cd libchk && make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/moblin BINDIR=/bin MANDIR=/man DONT_STRIP=yes
cd ..
mkdir -p $RPM_BUILD_ROOT/opt/moblin/doc/moblin-libchk
cp README Licence $RPM_BUILD_ROOT/opt/moblin/doc/moblin-libchk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/moblin/bin/dummy_link
/opt/moblin/bin/libchk
/opt/moblin/bin/moblin-libchk
/opt/moblin/doc/moblin-libchk/Licence
/opt/moblin/doc/moblin-libchk/README
/opt/moblin/man/man1/moblin-libchk.1

%changelog
* Mon Sep 14 2009 Andrey Smachev <biga@ispras.ru>
- renamed to moblin-libchk

* Wed Apr 22 2009 Andrey Smachev <biga@ispras.ru>
- modified for Moblin Edition

* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

* Tue Jan 06 2004 Marvin Heffler <heffler@us.ibm.com>
- Package everything in /opt/lsb instead of listing items individually

* Tue Aug 26 2003 Christopher Yeoh <cyeoh@samba.org>
- Adds packaging of libchk and dummy_link

* Wed Jul 17 2002 Christopher Yeoh <cyeoh@samba.org>
- Adds lsblibchk.1 manpage to package

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.2.1
- Various interface fixes
- Adds a version tag to journal

* Mon Jun 17 2002 Christopher yeoh <cyeoh@samba.org>
- Updated for 1.2
- Resync with 1.2 specification db
- Adds support for PPC32

* Mon May 6 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.4 release

* Mon Apr 29 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.3 release
- Adds support for ia64

* Thu Mar 21 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.2 release

* Mon Jan 7 2002 Christopher Yeoh <cyeoh@samba.org>
- Fixes licence notice
- Update for latest lsblibchk

* Wed Dec 19 2001 Christopher Yeoh <cyeoh@samba.org>
- Initial package

